# PhasicFlow: IOobject Class Reference

IOobject Class Reference
Inheritance diagram for IOobject:
[legend]
Collaboration diagram for IOobject:
[legend]

## Classes

class | iObject
class | object_t

## Public Member Functions

word | typeName () const
| IOobject (const objectFile &objf, const repository *owner, uniquePtr< iObject > &&obj)
| IOobject (const objectFile &objf, const repository *owner, uniquePtr< IOobject > &&obj)
| IOobject (const IOobject &src)=delete
| IOobject (IOobject &&src)=default
bool | isObjectValid () const
template<typename T >
auto & | getObject ()
template<typename T >
const auto & | getObject () const
bool | read (bool rdHdr=true)
bool | write () const
bool | read (iIstream &is, bool rdHdr=true)
bool | write (iOstream &os) const
Public Member Functions inherited from IOfileHeader
| IOfileHeader (const objectFile &objf, const repository *owner=nullptr)
const word & | objectName () const
const word & | objectType () const
const repository * | owner () const
fileSystem | path () const
bool | headerOk (bool silent=false)
bool | implyRead () const
bool | implyWrite () const
bool | fileExist () const
bool | readIfPresent () const
bool | writeHeader (iOstream &os, const word &typeName) const
bool | writeHeader (iOstream &os) const
bool | readHeader (iIstream &is, bool silent=false)
bool | writeBanner (iOstream &os) const
bool | writeSeparator (iOstream &os) const
Public Member Functions inherited from objectFile
| objectFile (const word &name)
| objectFile (const word &name, const fileSystem &localPath, const readFlag &rf=READ_NEVER, const writeFlag &wf=WRITE_NEVER, bool rwHeader=true)
| objectFile (const objectFile &src)=default
| objectFile (objectFile &&src)=default
objectFile & | operator= (const objectFile &rhs)=default
objectFile & | operator= (objectFile &&rhs)=default
virtual | ~objectFile ()=default
virtual word | name () const
virtual fileSystem | localPath () const
readFlag | rFlag () const
writeFlag | wFlag () const
bool | isReadAlways () const
bool | isReadNever () const
bool | isReadIfPresent () const
bool | isWriteAlways () const
bool | isWriteNever () const
bool | readWriteHeader () const

## Static Public Member Functions

template<typename T , typename... Args>
static auto | make (const objectFile &objf, Args &&... args)
template<typename T , typename... Args>
static auto | make_object_t (Args &&... args)

## Protected Attributes

uniquePtr< iObject > | object_
Protected Attributes inherited from IOfileHeader
const repository * | owner_ = nullptr
word | objectName_
word | objectType_
Protected Attributes inherited from objectFile
word | name_
readFlag | rFlag_
writeFlag | wFlag_
fileSystem | localPath_
bool | readWriteHeader_ = true

## Additional Inherited Members

Public Types inherited from objectFile
enum | readFlag { READ_ALWAYS, READ_NEVER, READ_IF_PRESENT }
enum | writeFlag { WRITE_ALWAYS, WRITE_NEVER }
Protected Member Functions inherited from IOfileHeader
uniquePtr< iFstream > | inStream () const
uniquePtr< oFstream > | outStream () const

## Detailed Description

Definition at line 35 of file IOobject.hpp.

## Constructor & Destructor Documentation

## IOobject() [1/4]

IOobject | ( | const objectFile & | objf,
|  | const repository * | owner,
|  | uniquePtr< iObject > && | obj
| ) |  |

Definition at line 26 of file IOobject.cpp.

References pFlow::endl(), fatalErrorInFunction, and fatalExit.

Here is the call graph for this function:

## IOobject() [2/4]

IOobject | ( | const objectFile & | objf,
|  | const repository * | owner,
|  | uniquePtr< IOobject > && | obj
| ) |  |

Definition at line 46 of file IOobject.cpp.

## IOobject() [3/4]

IOobject | ( | const IOobject & | src | ) |

delete

## IOobject() [4/4]

IOobject | ( | IOobject && | src | ) |

default

## Member Function Documentation

## typeName()

word typeName | ( |  | ) | const

inline

Definition at line 116 of file IOobject.hpp.

References IOobject::object_.

## make()

auto make | ( | const objectFile & | objf,
|  | Args &&... | args
| ) |  |

static

Definition at line 23 of file IOobjectTemplates.cpp.

## make_object_t()

auto make_object_t | ( | Args &&... | args | ) |

static

Definition at line 35 of file IOobjectTemplates.cpp.

## isObjectValid()

bool isObjectValid | ( |  | ) | const

Definition at line 58 of file IOobject.cpp.

References IOobject::object_.

## getObject() [1/2]

auto & getObject

Definition at line 42 of file IOobjectTemplates.cpp.

References IOobject::object_t< dataType >::data_, pFlow::endl(), fatalErrorInFunction, and fatalExit.

Here is the call graph for this function:

## getObject() [2/2]

const auto & getObject

Definition at line 55 of file IOobjectTemplates.cpp.

References IOobject::object_t< dataType >::data_, pFlow::endl(), fatalErrorInFunction, and fatalExit.

Here is the call graph for this function:

## read() [1/2]

bool read | ( | bool | rdHdr = `true` | ) |

Definition at line 63 of file IOobject.cpp.

References pFlow::endl(), and warningInFunction.

Here is the call graph for this function:

## write() [1/2]

bool write | ( |  | ) | const

Definition at line 83 of file IOobject.cpp.

References pFlow::endl(), and warningInFunction.

Here is the call graph for this function:

## read() [2/2]

bool read | ( | iIstream & | is,
|  | bool | rdHdr = `true`
| ) |  |

Definition at line 103 of file IOobject.cpp.

## write() [2/2]

bool write | ( | iOstream & | os | ) | const

Definition at line 113 of file IOobject.cpp.

## Member Data Documentation

## object_

uniquePtr<iObject> object_

protected

Definition at line 110 of file IOobject.hpp.

Referenced by IOobject::isObjectValid(), and IOobject::typeName().

The documentation for this class was generated from the following files:

- src/phasicFlow/repository/IOobject/IOobject.hpp
- src/phasicFlow/repository/IOobject/IOobject.cpp
- src/phasicFlow/repository/IOobject/IOobjectTemplates.cpp